Debian Bug report logs - #589659
support dns names in netboot

version graph

Package: live-boot; Maintainer for live-boot is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-boot is src:live-boot.

Reported by: Michal Suchanek <michal.suchanek@ruk.cuni.cz>

Date: Mon, 19 Jul 2010 17:30:01 UTC

Severity: wishlist

Found in version live-boot/2.0~a15-1

Fixed in version live-boot/2.0~a16-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, hramrach@centrum.cz, Debian Live Project <debian-live@lists.debian.org>:
Bug#589659; Package live-boot. (Mon, 19 Jul 2010 17:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michal Suchanek <michal.suchanek@ruk.cuni.cz>:
New Bug report received and forwarded. Copy sent to hramrach@centrum.cz, Debian Live Project <debian-live@lists.debian.org>. (Mon, 19 Jul 2010 17:30:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michal Suchanek <michal.suchanek@ruk.cuni.cz>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: live-boot: support dns names in netboot
Date: Mon, 19 Jul 2010 19:27:17 +0200
[Message part 1 (text/plain, inline)]
Package: live-boot
Version: 2.0~a12+20100707.181407
Severity: normal


Currently live-boot can netbbot only form servers specified by IP
address, not by DNS name.

For filesystems mountd by binaries linked with glinc including the NSS
modules and a resolv.conf should suffice to make this work.

For filesystems mountd by binaries from busybox or klibc-utils the
situation may be different. I think the simplistic mount command is used
for mounting nfs and cifs and glibc binaries are used for iscsi, httpfs
and ftpfs. wget exists both as a simplistic binary and as full binary
and currently the simplistic binary is used for fetch I think.

Attaching an initramfs hook which pulls NSS modules and a live script
patch which creates /etc/resolv.conf in the initramfs.


-- System Information:
Debian Release: squeeze/sid
  APT prefers stable
  APT policy: (990, 'stable'), (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.26-2-686 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash
[resolv.conf.patch (text/plain, attachment)]
[nss (text/x-shellscript, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#589659; Package live-boot. (Mon, 19 Jul 2010 17:51:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Mon, 19 Jul 2010 17:51:08 GMT) Full text and rfc822 format available.

Message #10 received at 589659@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Michal Suchanek <michal.suchanek@ruk.cuni.cz>
Cc: 589659@bugs.debian.org
Subject: Re: Bug#589659: live-boot: support dns names in netboot
Date: Mon, 19 Jul 2010 19:46:16 +0200
found 589659 2.0~a15-1
notfound 589659 2.0~a12+20100707.181407
severity 589659 wishlist
retitle 589659 support dns names in netboot
thanks

On 07/19/2010 07:27 PM, Michal Suchanek wrote:
> Attaching an initramfs hook which pulls NSS modules and a live script
> patch which creates /etc/resolv.conf in the initramfs.

doesn't apply, please rediff the patch against current git or against
latest upload to sid (2.0~a15-1).

Regards,
Daniel

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Bug Marked as found in versions live-boot/2.0~a15-1. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Mon, 19 Jul 2010 17:51:12 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions 2.0~a12+20100707.181407. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Mon, 19 Jul 2010 17:51:12 GMT) Full text and rfc822 format available.

Severity set to 'wishlist' from 'normal' Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Mon, 19 Jul 2010 17:51:13 GMT) Full text and rfc822 format available.

Changed Bug title to 'support dns names in netboot' from 'live-boot: support dns names in netboot' Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Mon, 19 Jul 2010 17:51:14 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#589659; Package live-boot. (Tue, 20 Jul 2010 10:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michal Suchanek <hramrach@centrum.cz>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Tue, 20 Jul 2010 10:03:03 GMT) Full text and rfc822 format available.

Message #23 received at 589659@bugs.debian.org (full text, mbox):

From: Michal Suchanek <hramrach@centrum.cz>
To: daniel@debian.org, 589659@bugs.debian.org
Subject: Re: Bug#589659: live-boot: support dns names in netboot
Date: Tue, 20 Jul 2010 12:00:21 +0200
On 19 July 2010 19:46, Daniel Baumann <daniel@debian.org> wrote:
> found 589659 2.0~a15-1
> notfound 589659 2.0~a12+20100707.181407
> severity 589659 wishlist
> retitle 589659 support dns names in netboot
> thanks
>
> On 07/19/2010 07:27 PM, Michal Suchanek wrote:
>> Attaching an initramfs hook which pulls NSS modules and a live script
>> patch which creates /etc/resolv.conf in the initramfs.
>
> doesn't apply, please rediff the patch against current git or against
> latest upload to sid (2.0~a15-1).

For me it applies unchanged to the latest git.

http://repo.or.cz/w/debian-live-boot/hramrach.git/shortlog/refs/heads/dns

Thanks

Michal




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#589659; Package live-boot. (Fri, 23 Jul 2010 14:27:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Fri, 23 Jul 2010 14:27:02 GMT) Full text and rfc822 format available.

Message #28 received at 589659@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 589659-submitter@bugs.debian.org
Cc: 589659@bugs.debian.org
Subject: Re: support dns names in netboot
Date: Fri, 23 Jul 2010 16:24:01 +0200
tag 589659 pending
thanks

applied a modified version of that in git as discussed on irc. will be
uploading a new package once the previous has migrated to squeeze.

Regards,
Daniel

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Added tag(s) pending. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Fri, 23 Jul 2010 14:27:07 GMT) Full text and rfc822 format available.

Message sent on to Michal Suchanek <michal.suchanek@ruk.cuni.cz>:
Bug#589659. (Fri, 23 Jul 2010 14:27:10 GMT) Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Wed, 28 Jul 2010 18:33:12 GMT) Full text and rfc822 format available.

Notification sent to Michal Suchanek <michal.suchanek@ruk.cuni.cz>:
Bug acknowledged by developer. (Wed, 28 Jul 2010 18:33:12 GMT) Full text and rfc822 format available.

Message #38 received at 589659-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 589659-close@bugs.debian.org
Subject: Bug#589659: fixed in live-boot 2.0~a16-1
Date: Wed, 28 Jul 2010 18:32:36 +0000
Source: live-boot
Source-Version: 2.0~a16-1

We believe that the bug you reported is fixed in the latest version of
live-boot, which is due to be installed in the Debian FTP archive:

live-boot-initramfs-tools_2.0~a16-1_all.deb
  to main/l/live-boot/live-boot-initramfs-tools_2.0~a16-1_all.deb
live-boot_2.0~a16-1.diff.gz
  to main/l/live-boot/live-boot_2.0~a16-1.diff.gz
live-boot_2.0~a16-1.dsc
  to main/l/live-boot/live-boot_2.0~a16-1.dsc
live-boot_2.0~a16-1_all.deb
  to main/l/live-boot/live-boot_2.0~a16-1_all.deb
live-boot_2.0~a16.orig.tar.gz
  to main/l/live-boot/live-boot_2.0~a16.orig.tar.gz
live-initramfs_2.0~a16-1_all.deb
  to main/l/live-boot/live-initramfs_2.0~a16-1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 589659@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-boot package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 28 Jul 2010 20:17:11 +0200
Source: live-boot
Binary: live-boot live-boot-initramfs-tools live-initramfs
Architecture: source all
Version: 2.0~a16-1
Distribution: unstable
Urgency: high
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-boot  - Debian Live - System Boot Scripts
 live-boot-initramfs-tools - Debian Live - System Boot Scripts (initramfs-tools backend)
 live-initramfs - Debian Live - System Boot Scripts (transitional package)
Closes: 589659
Changes: 
 live-boot (2.0~a16-1) unstable; urgency=high
 .
   [ Daniel Baumann ]
   * Adding support for resolving DNS names from initramfs, thanks to
     Michal Suchanek <hramrach@centrum.cz> for initial patch which this
     is based on (Closes: #589659).
   * Don't fail in Makefile when there's no checkbashism.
   * Updating package to standards version 3.9.1.
 .
   [ Michal Suchanek ]
   * Fix omitpids to work with readonly images.
Checksums-Sha1: 
 d72cffe0c4d242637244fa63ebf6067df868c7d7 1246 live-boot_2.0~a16-1.dsc
 8f9d52bd2f46ec64e0aaf7a1f1b85670fb0dab53 104986 live-boot_2.0~a16.orig.tar.gz
 db28f297e78afcb1bf063548f40c98a64994ad7d 16612 live-boot_2.0~a16-1.diff.gz
 8a234ce4f0bacfab82b5f3c7e63ad247735e0718 73492 live-boot_2.0~a16-1_all.deb
 8838e528ae1c6072331d79abe32bec018f4f2bbf 27584 live-boot-initramfs-tools_2.0~a16-1_all.deb
 81c8fe81845a784902f56587cdf7ca7a0e94873e 3664 live-initramfs_2.0~a16-1_all.deb
Checksums-Sha256: 
 0a9bda016953303adcaefd8f9b43a9b94238ac689aef3e44f199d0414778bf6b 1246 live-boot_2.0~a16-1.dsc
 6313dcf9931fd73546256f2af030da7eab40b02b7be4756981e424c9e66b5d37 104986 live-boot_2.0~a16.orig.tar.gz
 b8e48f79651f1be50949f385ec3a7ed4c5199a8c53632491bb460c7e96bba4f2 16612 live-boot_2.0~a16-1.diff.gz
 8f268308daa6c1c243e47700b4f80e9cbbdbff005cbbc443923212110938e019 73492 live-boot_2.0~a16-1_all.deb
 8881edc17a46026f3ce2d8e5c42280489de83750c34bed33786be64e6e6a3268 27584 live-boot-initramfs-tools_2.0~a16-1_all.deb
 c04c46655d0ea68f60f514794169ffcd7f3e84c55caab0d126ac6ef6a4bb4370 3664 live-initramfs_2.0~a16-1_all.deb
Files: 
 b89d23406a34c3752af7ecf1ec030f4e 1246 misc optional live-boot_2.0~a16-1.dsc
 6a8899b64316c32d469edd035d0adb2e 104986 misc optional live-boot_2.0~a16.orig.tar.gz
 5b26d9ba0df4014b5bcccddfc7457ea1 16612 misc optional live-boot_2.0~a16-1.diff.gz
 f406b084094557185b37c62aeea6f23a 73492 misc optional live-boot_2.0~a16-1_all.deb
 974b974244c3d23eb8b9cef3afb50a93 27584 misc optional live-boot-initramfs-tools_2.0~a16-1_all.deb
 5644350dfe5a0fea9f80a27f7e2a6bf4 3664 misc optional live-initramfs_2.0~a16-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkxQdWIACgkQ+C5cwEsrK54jUgCfXLUVTx/VR216yYIbosTzpJwY
75YAn0lQLRayebDcC7LwpUwbSyTtHVgK
=cqHa
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 28 Aug 2010 07:34:48 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 09:32:05 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.